DefaultRequestStateLookupStrategy (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
[Java] Class DefaultRequestStateLookupStrategy

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.DefaultRequestStateLookupStrategy

All Implemented Interfaces:
  GrailsRequestStateLookupStrategy

    public class DefaultRequestStateLookupStrategy
    extends java.lang.Object

Default implementation that uses the web request to obtain information about the currently executing request.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static java.lang.String` | `DEFAULT_REQUEST_ENCODING`

Constructor Summary
`DefaultRequestStateLookupStrategy()`
`DefaultRequestStateLookupStrategy(GrailsWebRequest webRequest)`

Method Summary
`java.lang.String` | `getActionName()`
`java.lang.String` | `getActionName(java.lang.String controllerName)`
`java.lang.String` | `getCharacterEncoding()`
`java.lang.String` | `getContextPath()`
`java.lang.String` | `getControllerName()`
`java.lang.String` | `getHttpMethod()`
`GrailsWebRequest` | `getWebRequest()`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### DEFAULT_REQUEST_ENCODING

    public static final java.lang.String DEFAULT_REQUEST_ENCODING

Constructor Detail

### DefaultRequestStateLookupStrategy

    public DefaultRequestStateLookupStrategy()

### DefaultRequestStateLookupStrategy

    public DefaultRequestStateLookupStrategy(GrailsWebRequest webRequest)

Method Detail

### getActionName

    public java.lang.String getActionName()

### getActionName

    public java.lang.String getActionName(java.lang.String controllerName)

### getCharacterEncoding

    public java.lang.String getCharacterEncoding()

### getContextPath

    public java.lang.String getContextPath()

### getControllerName

    public java.lang.String getControllerName()

### getHttpMethod

    @java.lang.Overridepublic String getHttpMethod() {
    public java.lang.String getHttpMethod()

### getWebRequest

    public GrailsWebRequest getWebRequest()

### setGrailsApplication

    @org.springframework.beans.factory.annotation.Autowiredpublic void setGrailsApplication(GrailsApplication grailsApplication) {
    public void setGrailsApplication(GrailsApplication grailsApplication)

Groovy Documentation